var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { Slider } from 'antd';
import { Labelled } from '../labelled';
import { InputRangeCSS, TooltipStyled } from './range-input.style';
const tooltip = {
    formatter: (value) => (_jsx(TooltipStyled, { children: value })),
};
export const RangeInput = (_a) => {
    var { onChange = () => void 0, onAccept = () => void 0 } = _a, props = __rest(_a, ["onChange", "onAccept"]);
    const handleChange = useCallback((value) => onChange(value), [onChange]);
    return (_jsx(Slider, Object.assign({ css: InputRangeCSS, range: false, onChange: handleChange, onAfterChange: onAccept, tooltip: tooltip }, props)));
};
export const LabelledRangeInput = (_a) => {
    var { label } = _a, props = __rest(_a, ["label"]);
    return (_jsx(Labelled, { label: label, children: _jsx(RangeInput, Object.assign({}, props)) }));
};
